Inverters
Get an inverter by ID
Creates a .PPI file, which can be used to import the Inverter into PlantPredict for another user.
GET
/
Inverter
/
{inverterId}
Get an inverter by ID
curl --request GET \
--url https://api.plantpredict.terabase.energy/Inverter/{inverterId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Inverter/{inverterId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Inverter/{inverterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 2,
"model": "Sunny Highpower SHP150-US-20-PEAK3",
"manufacturer": "SMA",
"powerRated": 150,
"apparentPower": 150,
"minDCPowerThreshold": 100,
"minVoltage": 855,
"maxMPPVoltage": 1450,
"maxAbsoluteVoltage": 1500,
"maxCurrent": 180,
"maxElevation": 100,
"outputVoltage": 600,
"usekVACurves": true,
"usePQCurves": false,
"dataSource": 2,
"efficiencyCurves": [
{
"id": 29409,
"voltage": 880,
"efficiencyPoints": [
{
"id": 208781,
"power": 14.8065,
"efficiency": 98.71
},
{
"id": 208782,
"power": 29.715,
"efficiency": 99.05
},
{
"id": 208783,
"power": 44.541,
"efficiency": 98.98
},
{
"id": 208784,
"power": 74.22,
"efficiency": 98.96
},
{
"id": 208785,
"power": 111.2713,
"efficiency": 98.82
},
{
"id": 208786,
"power": 147.87,
"efficiency": 98.58
}
]
},
{
"id": 29410,
"voltage": 960,
"efficiencyPoints": [
{
"id": 208787,
"power": 14.808,
"efficiency": 98.72
},
{
"id": 208788,
"power": 29.709,
"efficiency": 99.03
},
{
"id": 208789,
"power": 44.559,
"efficiency": 99.02
},
{
"id": 208790,
"power": 74.22,
"efficiency": 98.96
},
{
"id": 208791,
"power": 111.2038,
"efficiency": 98.76
},
{
"id": 208792,
"power": 147.78,
"efficiency": 98.52
}
]
},
{
"id": 29411,
"voltage": 1200,
"efficiencyPoints": [
{
"id": 208793,
"power": 14.712,
"efficiency": 98.08
},
{
"id": 208794,
"power": 29.589,
"efficiency": 98.63
},
{
"id": 208795,
"power": 44.415,
"efficiency": 98.7
},
{
"id": 208796,
"power": 74.0325,
"efficiency": 98.71
},
{
"id": 208797,
"power": 110.9898,
"efficiency": 98.57
},
{
"id": 208798,
"power": 147.48,
"efficiency": 98.32
}
]
}
],
"kVACurves": [
{
"id": 10338,
"elevation": 100,
"kVAPoints": [
{
"id": 54563,
"temperature": -25,
"kVA": 150
},
{
"id": 54564,
"temperature": 50,
"kVA": 150
},
{
"id": 54565,
"temperature": 50,
"kVA": 150
},
{
"id": 54566,
"temperature": 60,
"kVA": 127
},
{
"id": 54567,
"temperature": 62,
"kVA": 0
}
]
}
],
"pqCurves": [],
"inverterType": 1,
"id": 10373,
"name": "SMA Sunny Highpower SHP150-US-20-PEAK3",
"description": null,
"companyId": 1042,
"company": null,
"ownerId": 8903,
"createdDate": "2026-02-03T12:39:07.753",
"lastModified": "2026-02-03T12:39:07.753",
"lastModifiedById": 8903
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Path Parameters
Response
Inverter
kW
LibraryStatusEnum
Available options:
0, 1, 2, 3, 4, 5, 6 DataSourceType
Available options:
1, 2, 3, 4, 5, 6, 7 InverterType
Available options:
0, 1, 2 ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
⌘I
Get an inverter by ID
